%define shortname	simplejson

Name:           python-%{shortname}
Version:        2.6.0
Release:        %mkrel 2
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        http://pypi.python.org/packages/source/s/simplejson/%{shortname}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-sphinx

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%prep
%setup -q -n %{shortname}-%{version}

%build
%{__python} setup.py build
./scripts/make_docs.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%py_platsitedir

%check
nosetests -q

%files
%defattr(-,root,root,-)
%doc docs LICENSE.txt
%{py_platsitedir}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 379515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 2.6.0-1.mga3
+ Revision: 334269
- Update to 2.6.0

* Wed Feb 29 2012 philippem <philippem> 2.3.3-1.mga2
+ Revision: 216054
- Update to 2.3.3.

* Wed Jan 11 2012 philippem <philippem> 2.3.2-1.mga2
+ Revision: 194979
- Update to 2.3.2.

* Sat Dec 17 2011 philippem <philippem> 2.3.0-1.mga2
+ Revision: 183147
- Update to 2.3.0

* Wed Oct 26 2011 philippem <philippem> 2.2.1-1.mga2
+ Revision: 158233
- New upstream 2.2.1

* Wed Apr 13 2011 ahmad <ahmad> 2.1.3-1.mga1
+ Revision: 84130
- update to 2.1.3

* Mon Jan 24 2011 ennael <ennael> 2.1.2-1.mga1
+ Revision: 36805
- imported package python-simplejson

